Subject: [xmpp] 3921bis: proposed text on storing subscribed, unsubscribed, and unsubscribe

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 03 Aug 2010 16:23:51 +0200

[Written while in flight; delivery will be delayed.]

Here is proposed text (promised during the WG session last week)
regarding the optional behavior of server-side caching of inbound
presence stanzas of type "subscribed", "unsubscribe", and "unsubscribed"
(as supported by several existing servers)...

      Implementation Note: If the account has no available resources
      when the inbound subscribed notification is received, a server MAY
      keep a record of the notification (ideally the complete presence
      stanza) and then deliver the notification when the account next
      has an available resource.  This behavior provides more complete
      signalling to the user regarding the reasons for the roster change
      that occurred while the user was offline.

/psa